mp4atom.h File Reference
`#include "tfile.h"`
`#include "tlist.h"`
Include dependency graph for mp4atom.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | TagLib
| A namespace for all TagLib related classes and functions.
namespace | TagLib::MP4
| An implementation of MP4 (AAC, ALAC, ...) metadata.

## Enumerations

enum

TagLib::MP4::AtomDataType {
TagLib::MP4::TypeImplicit = 0 , TagLib::MP4::TypeUTF8 = 1 , TagLib::MP4::TypeUTF16 = 2 , TagLib::MP4::TypeSJIS = 3 ,
TagLib::MP4::TypeHTML = 6 , TagLib::MP4::TypeXML = 7 , TagLib::MP4::TypeUUID = 8 , TagLib::MP4::TypeISRC = 9 ,
TagLib::MP4::TypeMI3P = 10 , TagLib::MP4::TypeGIF = 12 , TagLib::MP4::TypeJPEG = 13 , TagLib::MP4::TypePNG = 14 ,
TagLib::MP4::TypeURL = 15 , TagLib::MP4::TypeDuration = 16 , TagLib::MP4::TypeDateTime = 17 , TagLib::MP4::TypeGenred = 18 ,
TagLib::MP4::TypeInteger = 21 , TagLib::MP4::TypeRIAAPA = 24 , TagLib::MP4::TypeUPC = 25 , TagLib::MP4::TypeBMP = 27 ,
TagLib::MP4::TypeUndefined = 255
}